diff --git a/arch/arm64/boot/dts/qcom/Makefile b/arch/arm64/boot/dts/qcom/Makefile
index 9c30344d08c1..81699082d838 100644
--- a/arch/arm64/boot/dts/qcom/Makefile
+++ b/arch/arm64/boot/dts/qcom/Makefile
@@ -15,9 +15,20 @@ dtb-$(CONFIG_ARCH_QCOM)	+= ipq8074-hk10-c2.dtb
 dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp417.dtb
 dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp418.dtb
 dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp433.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp433-mht-phy.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp433-mht-switch.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp437.dtb
 dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp449.dtb
 dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp453.dtb
 dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp454.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp455.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp456.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp457.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp458.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp459.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp461.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp467.dtb
+dtb-$(CONFIG_ARCH_QCOM)	+= ipq9574-rdp469.dtb
 dtb-$(CONFIG_ARCH_QCOM)	+= msm8916-acer-a1-724.dtb
 dtb-$(CONFIG_ARCH_QCOM)	+= msm8916-alcatel-idol347.dtb
 dtb-$(CONFIG_ARCH_QCOM)	+= msm8916-asus-z00l.dtb
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp433-mht-phy.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp433-mht-phy.dts
new file mode 100644
index 000000000000..a0e75225051a
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp433-mht-phy.dts
@@ -0,0 +1,62 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 ipq9574-rdp433-mht-phy board device tree source
+ *
+ * Copyright (c) 2020-2021 The Linux Foundation. All rights reserved.
+ * Copyright (c) 2022-2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL02-C7";
+	compatible = "qcom,ipq9574-ap-al02-c7", "qcom,ipq9574";
+};
+
+&sdhc_1 {
+	pinctrl-0 = <&sdc_default_state>;
+	pinctrl-names = "default";
+	mmc-ddr-1_8v;
+	mmc-hs200-1_8v;
+	mmc-hs400-1_8v;
+	mmc-hs400-enhanced-strobe;
+	max-frequency = <384000000>;
+	bus-width = <8>;
+	status = "okay";
+};
+
+&tlmm {
+	sdc_default_state: sdc-default-state {
+		clk-pins {
+			pins = "gpio5";
+			function = "sdc_clk";
+			drive-strength = <8>;
+			bias-disable;
+		};
+
+		cmd-pins {
+			pins = "gpio4";
+			function = "sdc_cmd";
+			drive-strength = <8>;
+			bias-pull-up;
+		};
+
+		data-pins {
+			pins = "gpio0", "gpio1", "gpio2",
+			       "gpio3", "gpio6", "gpio7",
+			       "gpio8", "gpio9";
+			function = "sdc_data";
+			drive-strength = <8>;
+			bias-pull-up;
+		};
+
+		rclk-pins {
+			pins = "gpio10";
+			function = "sdc_rclk";
+			drive-strength = <8>;
+			bias-pull-down;
+		};
+	};
+};
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp433-mht-switch.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp433-mht-switch.dts
new file mode 100644
index 000000000000..47220a31f228
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp433-mht-switch.dts
@@ -0,0 +1,16 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 RDP433-mht-switch board device tree source
+ *
+ * Copyright (c) 2020-2021 The Linux Foundation. All rights reserved.
+ * Copyright (c) 2022-2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL02-C10";
+	compatible = "qcom,ipq9574-ap-al02-c10", "qcom,ipq9574";
+};
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp437.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp437.dts
new file mode 100644
index 000000000000..f3020f87f587
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp437.dts
@@ -0,0 +1,62 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 RDP437 board device tree source
+ *
+ * Copyright (c) 2020-2021 The Linux Foundation. All rights reserved.
+ * Copyright (c) 2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL02-C3";
+	compatible = "qcom,ipq9574-ap-al02-c3", "qcom,ipq9574";
+};
+
+&sdhc_1 {
+	pinctrl-0 = <&sdc_default_state>;
+	pinctrl-names = "default";
+	mmc-ddr-1_8v;
+	mmc-hs200-1_8v;
+	mmc-hs400-1_8v;
+	mmc-hs400-enhanced-strobe;
+	max-frequency = <384000000>;
+	bus-width = <8>;
+	status = "okay";
+};
+
+&tlmm {
+	sdc_default_state: sdc-default-state {
+		clk-pins {
+			pins = "gpio5";
+			function = "sdc_clk";
+			drive-strength = <8>;
+			bias-disable;
+		};
+
+		cmd-pins {
+			pins = "gpio4";
+			function = "sdc_cmd";
+			drive-strength = <8>;
+			bias-pull-up;
+		};
+
+		data-pins {
+			pins = "gpio0", "gpio1", "gpio2",
+			       "gpio3", "gpio6", "gpio7",
+			       "gpio8", "gpio9";
+			function = "sdc_data";
+			drive-strength = <8>;
+			bias-pull-up;
+		};
+
+		rclk-pins {
+			pins = "gpio10";
+			function = "sdc_rclk";
+			drive-strength = <8>;
+			bias-pull-down;
+		};
+	};
+};
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp455.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp455.dts
new file mode 100644
index 000000000000..d604ad9a7a2c
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp455.dts
@@ -0,0 +1,16 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 RDP455 board device tree source
+ *
+ * Copyright (c) 2020-2021 The Linux Foundation. All rights reserved.
+ * Copyright (c) 2022-2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL02-C12";
+	compatible = "qcom,ipq9574-ap-al02-c12", "qcom,ipq9574";
+};
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp456.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp456.dts
new file mode 100644
index 000000000000..22d69ec8912f
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp456.dts
@@ -0,0 +1,16 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 RDP456 board device tree source
+ *
+ * Copyright (c) 2020-2021 The Linux Foundation. All rights reserved.
+ * Copyright (c) 2022-2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL02-C16";
+	compatible = "qcom,ipq9574-ap-al02-c16", "qcom,ipq9574";
+};
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp457.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp457.dts
new file mode 100644
index 000000000000..801cd9f9e672
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp457.dts
@@ -0,0 +1,16 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 RDP457 board device tree source
+ *
+ * Copyright (c) 2020-2021 The Linux Foundation. All rights reserved.
+ * Copyright (c) 2022-2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL02-C15";
+	compatible = "qcom,ipq9574-ap-al02-c15", "qcom,ipq9574";
+};
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp458.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp458.dts
new file mode 100644
index 000000000000..388a75dc1181
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp458.dts
@@ -0,0 +1,16 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 RDP458 board device tree source
+ *
+ * Copyright (c) 2020-2021 The Linux Foundation. All rights reserved.
+ * Copyright (c) 2022-2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL03-C2";
+	compatible = "qcom,ipq9574-ap-al03-c2", "qcom,ipq9574";
+};
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp459.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp459.dts
new file mode 100644
index 000000000000..d445caf6fe11
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp459.dts
@@ -0,0 +1,16 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 RDP459 board device tree source
+ *
+ * Copyright (c) 2020-2021 The Linux Foundation. All rights reserved.
+ * Copyright (c) 2021-2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL02-C13";
+	compatible = "qcom,ipq9574-ap-al02-c13", "qcom,ipq9574";
+};
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp461.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp461.dts
new file mode 100644
index 000000000000..9f0f2dba81ac
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp461.dts
@@ -0,0 +1,15 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 RDP461 board device tree source
+ *
+ * Copyright (c) 2022-2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL02-C19";
+	compatible = "qcom,ipq9574-ap-al02-c19", "qcom,ipq9574";
+};
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp467.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp467.dts
new file mode 100644
index 000000000000..cba3747da2c6
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp467.dts
@@ -0,0 +1,16 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 RDP467 board device tree source
+ *
+ * Copyright (c) 2020-2021 The Linux Foundation. All rights reserved.
+ * Copyright (c) 2021-2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL02-C11";
+	compatible = "qcom,ipq9574-ap-al02-c11", "qcom,ipq9574";
+};
diff --git a/arch/arm64/boot/dts/qcom/ipq9574-rdp469.dts b/arch/arm64/boot/dts/qcom/ipq9574-rdp469.dts
new file mode 100644
index 000000000000..0e8a7cfdfe69
--- /dev/null
+++ b/arch/arm64/boot/dts/qcom/ipq9574-rdp469.dts
@@ -0,0 +1,16 @@
+// SPDX-License-Identifier: (GPL-2.0+ OR BSD-3-Clause)
+/*
+ * IPQ9574 RDP469 board device tree source
+ *
+ * Copyright (c) 2020-2021 The Linux Foundation. All rights reserved.
+ * Copyright (c) 2022-2023 Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+/dts-v1/;
+
+#include "ipq9574-rdp-common.dtsi"
+
+/ {
+	model = "Qualcomm Technologies, Inc. IPQ9574/AP-AL02-C17";
+	compatible = "qcom,ipq9574-ap-al02-c17", "qcom,ipq9574";
+};